package com.steerinfo.meterwork.meterworkimage.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

public class MeterWorkImage implements IBasePO<String> {
    /**
     * 计量作业编号(ACTUAL_FIRST_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量作业编号",required=true)
    private String actualFirstNo;

    /**
     * 图片时间(IMAGE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="图片时间",required=true)
    private Date imageTime;

    /**
     * 图片1(IMAGE_FILE_1,VARCHAR,150)
     */
    @ApiModelProperty(value="图片1",required=false)
    private String imageFile1;

    /**
     * 图片2(IMAGE_FILE_2,VARCHAR,150)
     */
    @ApiModelProperty(value="图片2",required=false)
    private String imageFile2;

    /**
     * 图片3(IMAGE_FILE_3,VARCHAR,150)
     */
    @ApiModelProperty(value="图片3",required=false)
    private String imageFile3;

    /**
     * 图片4(IMAGE_FILE_4,VARCHAR,150)
     */
    @ApiModelProperty(value="图片4",required=false)
    private String imageFile4;

    /**
     * 图片5(IMAGE_FILE_5,VARCHAR,150)
     */
    @ApiModelProperty(value="图片5",required=false)
    private String imageFile5;

    /**
     * 图片6(IMAGE_FILE_6,VARCHAR,150)
     */
    @ApiModelProperty(value="图片6",required=false)
    private String imageFile6;

    /**
     * 图片7(IMAGE_FILE_7,VARCHAR,150)
     */
    @ApiModelProperty(value="图片7",required=false)
    private String imageFile7;

    /**
     * 图片8(IMAGE_FILE_8,VARCHAR,150)
     */
    @ApiModelProperty(value="图片8",required=false)
    private String imageFile8;

    /**
     * 图片数量(IMAGE_NUM,DECIMAL,1)
     */
    @ApiModelProperty(value="图片数量",required=false)
    private Long imageNum;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.actualFirstNo;
    }

    @Override
    public void setId(String actualFirstNo) {
        this.actualFirstNo = actualFirstNo == null ? null : actualFirstNo.trim();
    }

    public String getActualFirstNo() {
        return actualFirstNo;
    }

    public void setActualFirstNo(String actualFirstNo) {
        this.actualFirstNo = actualFirstNo == null ? null : actualFirstNo.trim();
    }

    public Date getImageTime() {
        return imageTime;
    }

    public void setImageTime(Date imageTime) {
        this.imageTime = imageTime;
    }

    public String getImageFile1() {
        return imageFile1;
    }

    public void setImageFile1(String imageFile1) {
        this.imageFile1 = imageFile1 == null ? null : imageFile1.trim();
    }

    public String getImageFile2() {
        return imageFile2;
    }

    public void setImageFile2(String imageFile2) {
        this.imageFile2 = imageFile2 == null ? null : imageFile2.trim();
    }

    public String getImageFile3() {
        return imageFile3;
    }

    public void setImageFile3(String imageFile3) {
        this.imageFile3 = imageFile3 == null ? null : imageFile3.trim();
    }

    public String getImageFile4() {
        return imageFile4;
    }

    public void setImageFile4(String imageFile4) {
        this.imageFile4 = imageFile4 == null ? null : imageFile4.trim();
    }

    public String getImageFile5() {
        return imageFile5;
    }

    public void setImageFile5(String imageFile5) {
        this.imageFile5 = imageFile5 == null ? null : imageFile5.trim();
    }

    public String getImageFile6() {
        return imageFile6;
    }

    public void setImageFile6(String imageFile6) {
        this.imageFile6 = imageFile6 == null ? null : imageFile6.trim();
    }

    public String getImageFile7() {
        return imageFile7;
    }

    public void setImageFile7(String imageFile7) {
        this.imageFile7 = imageFile7 == null ? null : imageFile7.trim();
    }

    public String getImageFile8() {
        return imageFile8;
    }

    public void setImageFile8(String imageFile8) {
        this.imageFile8 = imageFile8 == null ? null : imageFile8.trim();
    }

    public Long getImageNum() {
        return imageNum;
    }

    public void setImageNum(Long imageNum) {
        this.imageNum = imageNum;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", actualFirstNo=").append(actualFirstNo);
        sb.append(", imageTime=").append(imageTime);
        sb.append(", imageFile1=").append(imageFile1);
        sb.append(", imageFile2=").append(imageFile2);
        sb.append(", imageFile3=").append(imageFile3);
        sb.append(", imageFile4=").append(imageFile4);
        sb.append(", imageFile5=").append(imageFile5);
        sb.append(", imageFile6=").append(imageFile6);
        sb.append(", imageFile7=").append(imageFile7);
        sb.append(", imageFile8=").append(imageFile8);
        sb.append(", imageNum=").append(imageNum);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}